from spack import *

class BiobbGromacs(PythonPackage):
    """Biobb_gromacs is the Biobb module collection to perform molecular
    dynamics simulations using Gromacs"""

    # Homepage and download url
    homepage = "https://github.com/bioexcel/biobb_gromacs"
    git = 'https://github.com/bioexcel/biobb_gromacs.git'

    # Versions
    version('4.0.0', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('biobb-common')
    depends_on('gromacs')

    # Patching to enable python 3.10 (not official, might not be stable)
    def patch(self):
        filter_file("    python_requires='>=3.7,<3.10',", "    python_requires='>=3.7,<3.11',", "setup.py")

    # Test
    @run_after('install')
    @on_package_attributes(run_tests=True)
    def check_install (self):
        python("-c", 'import biobb_gromacs')
